<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
	<head>
		<title>KGBBEngine</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<link rel="stylesheet" type="text/css" media="all" href="../css/style.css" th:href="@{/css/style.css}"/>
	</head>
	<body>
		<div class="center-content">
			<div style="display: flex;">
				<div class="navigation">
					<a href="/">
						<h1>KGBBEngine</h1>
					</a>
					<h2>Items</h2>
					<ul th:each="item : ${addInfo.items}">
						<li>
							<a th:text="*{item.name}" th:href="*{'/item/' + item.itemUri}">Item</a>
						</li>
					</ul>
				</div>
				<div>
					<h1>Create New Material Entity</h1>
					<form action="/" th:object="${addInfo}" method="post">
						<ul th:if="${#fields.hasErrors('*')}" class="error-box">
							<li th:each="err : ${#fields.errors('*')}" th:text="${err}">Input is incorrect</li>
						</ul>
						<input type="text" placeholder="Resource" th:field="*{resource}"></input>
						<input type="text" placeholder="Label (Optional)" th:field="*{label}"></input>
						<input type="hidden" th:field="*{type}"></input>
						<button type="submit" name="create">Create</button>
					</form>
				</div>
			</div>
		</div>
	</body>
</html>
